Bug 505522 - Adobe Flash Plugin not working in Firefox 64 bit
Adobe Flash Plugin not working in Firefox 64 bit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 04:40 EDT by Jens Lindhardt
Modified: 2014-03-16 23:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 14:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Lindhardt 2009-06-12 04:40:29 EDT
Description of problem:
The Adobe Flash plugin is for i386, this will not work in Firefox 3.5 64 bit by default.

The nspluginwrapper x86_64 is installed with firefox, but in ordre to get flash to work you need to install nspluginwrapper i586.

It would be nice if nspluginwrapper was installed by default.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Download Adobe Flash for yum and install
2. In add/remove programs install Adobe Flash Player
3. Flash still not working in Firefox
4. Uninstall Flash Player
5. install nspluginwrapper i586
6. Install Adobe Flash player again
7. Flash now working in Firefox
  
Actual results:


Expected results:


Additional info:
Comment 1 Jesse Keating 2009-06-12 14:49:59 EDT
Adobe offers a x86_64 flash plugin.  Use that instead.
Comment 2 Jim W 2009-12-02 22:13:46 EST
Jesse Keating is right. Go get the x86_64 plugin.

Go here. It is still in dev, but it seems to work ok.
http://labs.adobe.com/technologies/flashplayer10/64bit.html

Down load it. Copy the file libflashplayer.so to ~/.mozilla/plugins.
In Firefox do about:plugins, and you should see it. Go to youtube to try it out. No scripts, no installation program, just old-school copy to this directory. One file. No fuss. No muss.

Note: I used the Add/Remove software tool to get rid of nsplginwrapper, swfdec, and I think the Adobe flash package. Don't know if this was necessary, but it works. I am using Fedora 12 x86-64.

I could not for the life of me figure out what to do with nspluginwrapper. I went to their site and did not understand a single word. Got a headache.

Same goes for swfdec. Could not understand a word.

If you went through the Fedora-Adobe-Firefox-swfdec-nspluginwrapper flash gauntlet the way I did you might want to test your new 64bit flash player here:
Oh What A Beautiful Morning!
http://www.youtube.com/watch?v=kp5HCDGJsvM

Sing along! It will make you feel good as you are savoring your success.

Note You need to log in before you can comment on or make changes to this bug.